# bcmf_runaqualn_1.R


RUN_Aqueous_Ln <- function(testfile.csvy) {
  
  # title and program version
  cat("\nRUN AQUEOUS (Ln-transformed). Version:", PROG.Version, "\n")

  
  # --- READ AQUEOUS TEST DATA

  # read aqueous test data from a .csvy file
  cat("\nAQUEOUS TEST READ: ", testfile.csvy, "\n\n")
  print(readTest_Aqueous(testfile.csvy))

  # show the test conditions
  cat("\nTEST.Aqueous.Param: \n\n")
  print(TEST.Aqueous.Param)


  # --- FIT BCF MODEL LN-TRANSFORMED & DIAGNOSTICS

  # fit Ln-transformed
  cat("\nMODEL FIT (Ln-transformed):\n\n")
  print(fitModel_Aqueous_Ln())

  # check model diagnostics
  cat("\nMODEL DIAGNOSTICS (Ln-transformed):\n")
  print(modelDiag_Aqueous_Ln())
  
  
  # --- PLOT BEST FIT LN-TRANSFORMED & ORIGINAL SCALE

  # calculate best fit on ln-transformed scale
  runBestFit_Aqueous_Ln()

  # plot best ln-fit on ln-transformed scale
  plotBestFit_Aqueous_Ln()

  # --- LN-TRANSFORMED CONFIDENCE LIMITS ----------  
  # Bayesian bootstrap for ln-transformed fit
  bootModel_Aqueous_Ln()
  
  # scatter plot bootstrap param
  # print(qplot(BCF.ParamBoot.Ln$k2.boot.ln, BCF.ParamBoot.Ln$k1.boot.ln))
  
  # print(summary(BCF.ParamBoot.Ln$k1.boot.ln))
  # print(summary(BCF.ParamBoot.Ln$k2.boot.ln))
  
  # prep lower and upper confidence limits of fit
  runConfFit_Aqueous_Ln()
  
  # plot them in ln-transformed space
  plotConfFit_Aqueous_Ln()

    
  # plot best ln-fit on original scale
  plotInvBestFit_Aqueous_Ln()
 
  # plot on original untransformed scale
  plotInvConfFit_Aqueous_Ln()
  
  
  # --- SHOW BCF SUMMARY TABLE (LN-FIT)

  # Test Parameters
  cat("\nAQUEOUS TEST PARAMETERS:\n\n")
  print(TEST.Aqueous.Param)

  # BCF summary Table for Ln-transformed fit
  cat("\nLN-TRANSFORMED SUMMARY TABLE:\n\n")
  print(summaryTable_Aqueous_Ln(digits = 5))

  cat("\n(End of RUN_Aqueous_Ln)\n\n")

}

##############################
